Skip to main content
PATCH
Update Tool

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

tool_id
string
required

ID of the requested tool.

Body

application/json

A tool that an agent can provide to LLM.

tool_config
WebhookToolConfig · object
required

A webhook tool is a tool that calls an external webhook from our server

Example:
response_mocks
ToolResponseMockConfig · object[] | null

Mock responses with optional parameter conditions. Evaluated top-to-bottom; first match wins.

Response

Successful Response

id
string
required
tool_config
WebhookToolConfig · object
required

A webhook tool is a tool that calls an external webhook from our server

Example:
access_info
ResourceAccessInfo · object
required
Example:
usage_stats
ToolUsageStatsResponseModel · object
required
response_mocks
ToolResponseMockConfig · object[] | null

Mock responses with optional parameter conditions. Evaluated top-to-bottom; first match wins.